---
title: PerformanceNavigation
slug: Web/API/PerformanceNavigation
tags:
  - API
  - Backwards compatibility
  - Deprecated
  - Interface
  - Navigation Timing
  - Navigation Timing API
  - Performance
  - PerformanceNavigation
  - Reference
  - Timing
  - legacy
---
<p>{{APIRef("Navigation Timing")}}</p>

<div class="warning">
<p>This interface is deprecated in the <a href="https://w3c.github.io/navigation-timing/#obsolete">Navigation Timing Level 2 specification</a>. Please use the {{domxref("PerformanceNavigationTiming")}} interface instead.</p>
</div>

<p>The legacy <strong><code>PerformanceNavigation</code></strong> interface represents information about how the navigation to the current document was done.</p>

<p>An object of this type can be obtained by calling the {{domxref("Performance.navigation")}} read-only attribute.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>PerformanceNavigation</code> interface doesn't inherit any properties.</em></p>

<dl>
 <dt>{{deprecated_inline}} {{domxref("PerformanceNavigation.type")}} {{readonlyInline}}</dt>
 <dd>An <code>unsigned short</code> which indicates how the navigation to this page was done. Possible values are:
 <dl>
  <dt><code>TYPE_NAVIGATE</code> (0)</dt>
  <dd>The page was accessed by following a link, a bookmark, a form submission, or a script, or by typing the URL in the address bar.</dd>
  <dt><code>TYPE_RELOAD</code> (1)</dt>
  <dd>The page was accessed by clicking the Reload button or via the {{domxref("Location.reload()")}} method.</dd>
  <dt><code>TYPE_BACK_FORWARD</code> (2)</dt>
  <dd>The page was accessed by navigating into the history.</dd>
  <dt><code>TYPE_RESERVED</code> (255)</dt>
  <dd>Any other way.</dd>
 </dl>
 </dd>
 <dt>{{deprecated_inline}} {{domxref("PerformanceNavigation.redirectCount")}} {{readonlyInline}}</dt>
 <dd>An <code>unsigned short</code> representing the number of REDIRECTs done before reaching the page.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em><em>The <code>Performance</code> interface doesn't inherit any </em>method</em>s.</p>

<dl>
 <dt>{{deprecated_inline}} {{domxref("PerformanceNavigation.toJSON()")}}</dt>
 <dd>Is a jsonizer returning a json object representing the <code>PerformanceNavigation</code> object.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing', '#performancenavigation', 'PerformanceNavigation')}}</td>
   <td>{{Spec2('Navigation Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceNavigation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Performance")}} that allows access to an object of this type.</li>
 <li>{{domxref("PerformanceNavigationTiming")}} (part of Navigation Timing Level 2) {{experimental_inline}}</li>
</ul>
